- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::Music::CTimeSignature Class Reference

Inheritance diagram for Exponent::Music::CTimeSignature:

List of all members.

## Detailed Description

A representation of a time signature.

Date:
  30/12/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CTimeSignature.hpp,v 1.3 2007/02/08 21:08:09 paul Exp

Definition at line 30 of file CTimeSignature.hpp.

## Public Member Functions

- CTimeSignature (const CTimeSignature &timeSig)
- CTimeSignature (const long numerator=4, const long denominator=4)
- double getAsDecimal () const
- long getDenominator () const
- long getNumerator () const
- CTimeSignature & operator= (const CTimeSignature &timeSig)
- void setDenominator (const long denominator)
- void setNumerator (const long numerator)
- void setTimeSignature (const long numerator, const long denominator)
- virtual ~CTimeSignature ()

## Protected Attributes

- long m_denominator
- long m_numerator

## Constructor & Destructor Documentation

Exponent::Music::CTimeSignature::CTimeSignature | ( | const long | numerator = `4`,
|  | const long | denominator = `4` |
| ) |  |  |

Construction

Parameters:

  | numerator | The numerator
  | denominator | The denominator

Exponent::Music::CTimeSignature::CTimeSignature | ( | const CTimeSignature & | timeSig | ) |

Copy construction

Parameters:

  | timeSig | The time signature to copy

virtual Exponent::Music::CTimeSignature::~CTimeSignature | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

double Exponent::Music::CTimeSignature::getAsDecimal | ( |  | ) | const

Get as double ranged value

Return values:

  | double | numerator / denominator

long Exponent::Music::CTimeSignature::getDenominator | ( |  | ) | const

Get the denominator

Return values:

  | long | The denominator

long Exponent::Music::CTimeSignature::getNumerator | ( |  | ) | const

Get the numerator

Return values:

  | long | The numerator

CTimeSignature& Exponent::Music::CTimeSignature::operator= | ( | const CTimeSignature & | timeSig | ) |

Assignment operator

Parameters:

  | timeSig | The time signature to copy

void Exponent::Music::CTimeSignature::setDenominator | ( | const long | denominator | ) |

Set denominator

Parameters:

  | denominator | The denominator

void Exponent::Music::CTimeSignature::setNumerator | ( | const long | numerator | ) |

Set numerator

Parameters:

  | numerator | The numerator

void Exponent::Music::CTimeSignature::setTimeSignature | ( | const long | numerator,
|  | const long | denominator |
| ) |  |  |

Set the time signature

Parameters:

  | numerator | The numerator
  | denominator | The denominator

Referenced by Exponent::Vst::CVstTempo::SSongInformation::initialise().

## Member Data Documentation

long Exponent::Music::CTimeSignature::m_denominator`[protected]`

The denominator

Definition at line 116 of file CTimeSignature.hpp.

long Exponent::Music::CTimeSignature::m_numerator`[protected]`

The numerator

Definition at line 115 of file CTimeSignature.hpp.